#ifndef FXE_OBJECT
#define FXE_OBJECT

#include <fxengine/render/translate.h>
#include <fxengine/render/triangle.h>
#include <stdint.h>
#include <stdbool.h>


struct fxe_object
{
    render_triangle * faces;
    uint32_t f_size;
    bool f_owner;
    render_integer_point * points;
    uint32_t p_size;
    bool p_owner;
};
typedef struct fxe_object fxe_object;

void fxe_object_init(fxe_object * object);

void fxe_object_set_points(fxe_object * object, render_integer_point * points, uint32_t n, bool copy);

void fxe_object_set_faces(fxe_object * object, render_triangle * faces, uint32_t n, bool copy);

void fxe_object_delete(fxe_object * object);

void fxe_object_display(fxe_object * object);

#endif
